<template>
  <form action="#" class="container" name="newsForm">
    <div v-for="(obj, idx) in data" class="form-group" :key="idx">
      <label :for="obj.id" class="d-block">{{ obj.label }}</label>
      <input
        v-if="obj.inputType != 'textarea'"
        :type="obj.inputType"
        :id="obj.id"
        :name="obj.name"
        class="form-controller"
      />
      <textarea v-else :id="obj.id" :name="obj.name" cols="30" rows="10"></textarea>
    </div>
    <button
      type="submit"
      class="btn btn-outline-primary"
      @click.prevent="createNews"
    >
      Создать
    </button>
  </form>
</template>

<script>
import config from "@/config";
import { mapGetters } from "vuex";
export default {
  name: "createNews",
  data() {
    return {
      articleModel: {
        image: undefined,
        title: "",
        desc: "",
        text: "",
      },
      data: [
        {
          name: "file",
          label: "Изображение",
          inputType: "file",
          id: "id_image",
        },
        {
          name: "news_title",
          label: "Заголовок Новости",
          inputType: "text",
          id: "id_news_title",
        },
        {
          name: "news_description",
          label: "Краткое описание новости",
          inputType: "text",
          id: "id_news_description",
        },
        {
          name: "news_text",
          label: "Текст новости",
          inputType: "textarea",
          id: "id_news",
        },
      ],
    };
  },

    computed: {
        ...mapGetters(['accessToken']),
    },

  methods: {
    createNews() {
      const data = new FormData(document.forms.newsForm);
      config.sendPostRequestMultipart(config.CREATE_NEWS_URI, data, {'Authorization': `Bearer ${this.accessToken}`}).then();
    },
  },
};
</script>
